members.dev
Members

List Member Bulk Action Jobs

Lists member bulk action jobs for the organization.

GET
/v1/members/actions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

status?|

Filter by job status.

action?|

Filter by action type.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/members/actions"
{
  "items": [
    {
      "id": "string",
      "action": "send_pass",
      "status": "pending",
      "phase": "domain",
      "total_count": 0,
      "allocated_count": 0,
      "existing_pass_count": 0,
      "invite_created_count": 0,
      "skipped_count": 0,
      "failed_count": 0,
      "email_sent_count": 0,
      "email_failed_count": 0,
      "email_skipped_count": 0,
      "failure_reason": "string",
      "started_at": "string",
      "completed_at": "string",
      "failed_at": "string",
      "created_at": "string"
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}